import random as rd
nombre_inconnu=rd.randrange(101)
print('Ta mission deviner un nombre  mystère compris entre 1 et 100 en un minimum de tentatives')
proposition=int(input('Saisis ta proposition :'))
nombre_de_tentatives=1
while proposition!= nombre_inconnu:
    if proposition>nombre_inconnu:
        print('Ta proposition est trop grande')
    else:
        print('Ta proposition est trop petite')
    proposition=int(input('Retente une nouvelle proposition '))
    nombre_de_tentatives=nombre_de_tentatives+1
print('YOU WIN ! en : ',nombre_de_tentatives,' tentative(s). Bravo !' )